# Uses of Class
org.apache.lucene.util.AttributeSource

Packages that use AttributeSource
Package
Description
org.apache.lucene.analysis
Text analysis.
org.apache.lucene.analysis.standard
Fast, general-purpose grammar-based tokenizer `StandardTokenizer` implements the Word Break rules from the Unicode Text Segmentation algorithm, as specified in Unicode Standard Annex #29.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.
org.apache.lucene.util
Some utility classes.
org.apache.lucene.util.graph
Utility classes for working with token streams as graphs.

- ## Uses of AttributeSource in org.apache.lucene.analysis

  Subclasses of AttributeSource in org.apache.lucene.analysis
  Modifier and Type
  Class
  Description
  `final class`
  `CachingTokenFilter`
  This class can be used if the token attributes of a TokenStream are intended to be consumed more than once.
  `class`
  `FilteringTokenFilter`
  Abstract base class for TokenFilters that may remove tokens.
  `class`
  `GraphTokenFilter`
  An abstract TokenFilter that exposes its input stream as a graph
  `class`
  `LowerCaseFilter`
  Normalizes token text to lower case.
  `class`
  `StopFilter`
  Removes stop words from a token stream.
  `class`
  `TokenFilter`
  A TokenFilter is a TokenStream whose input is another TokenStream.
  `class`
  `Tokenizer`
  A Tokenizer is a TokenStream whose input is a Reader.
  `class`
  `TokenStream`
  A `TokenStream` enumerates the sequence of tokens, either from `Field`s of a `Document` or from query text.
  Constructors in org.apache.lucene.analysis with parameters of type AttributeSource
  Modifier
  Constructor
  Description
  `protected`
  `TokenStream(AttributeSource input)`
  A TokenStream that uses the same attributes as the supplied one.

- ## Uses of AttributeSource in org.apache.lucene.analysis.standard

  Subclasses of AttributeSource in org.apache.lucene.analysis.standard
  Modifier and Type
  Class
  Description
  `final class`
  `StandardTokenizer`
  A grammar-based tokenizer constructed with JFlex.

- ## Uses of AttributeSource in org.apache.lucene.index

  Methods in org.apache.lucene.index that return AttributeSource
  Modifier and Type
  Method
  Description
  `AttributeSource`
  BaseTermsEnum.`attributes()`
  `AttributeSource`
  FilteredTermsEnum.`attributes()`
  Returns the related attributes, the returned `AttributeSource` is shared with the delegate `TermsEnum`.
  `AttributeSource`
  FilterLeafReader.FilterTermsEnum.`attributes()`
  `abstract AttributeSource`
  TermsEnum.`attributes()`
  Returns the related attributes.
  `AttributeSource`
  FieldInvertState.`getAttributeSource()`
  Returns the `AttributeSource` from the `TokenStream` that provided the indexed tokens for this field.

- ## Uses of AttributeSource in org.apache.lucene.search

  Methods in org.apache.lucene.search that return AttributeSource
  Modifier and Type
  Method
  Description
  `AttributeSource`
  FuzzyTermsEnum.`attributes()`
  Methods in org.apache.lucene.search with parameters of type AttributeSource
  Modifier and Type
  Method
  Description
  `protected TermsEnum`
  AutomatonQuery.`getTermsEnum(Terms terms, AttributeSource atts)`
  `protected TermsEnum`
  FuzzyQuery.`getTermsEnum(Terms terms, AttributeSource atts)`
  `protected abstract TermsEnum`
  MultiTermQuery.`getTermsEnum(Terms terms, AttributeSource atts)`
  Construct the enumeration to be used, expanding the pattern term.
  `protected TermsEnum`
  MultiTermQuery.RewriteMethod.`getTermsEnum(MultiTermQuery query, Terms terms, AttributeSource atts)`
  Returns the `MultiTermQuery`s `TermsEnum`
  `protected TermsEnum`
  TermInSetQuery.`getTermsEnum(Terms terms, AttributeSource atts)`

- ## Uses of AttributeSource in org.apache.lucene.util

  Methods in org.apache.lucene.util that return AttributeSource
  Modifier and Type
  Method
  Description
  `final AttributeSource`
  AttributeSource.`cloneAttributes()`
  Performs a clone of all `AttributeImpl` instances returned in a new `AttributeSource` instance.
  Methods in org.apache.lucene.util with parameters of type AttributeSource
  Modifier and Type
  Method
  Description
  `final void`
  AttributeSource.`copyTo(AttributeSource target)`
  Copies the contents of this `AttributeSource` to the given target `AttributeSource`.
  Constructors in org.apache.lucene.util with parameters of type AttributeSource
  Modifier
  Constructor
  Description
  ``
  `AttributeSource(AttributeSource input)`
  An AttributeSource that uses the same attributes as the supplied one.

- ## Uses of AttributeSource in org.apache.lucene.util.graph

  Methods in org.apache.lucene.util.graph that return types with arguments of type AttributeSource
  Modifier and Type
  Method
  Description
  `List<AttributeSource>`
  GraphTokenStreamFiniteStrings.`getTerms(int state)`
  Returns the list of tokens that start at the provided state